// MatsuuraTool.cpp: implementation of the MatsuuraTool class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "matsuura.h"
#include "MatsuuraTool.h"
#include "MatsuuraMachine.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

MatsuuraTool::MatsuuraTool()
{
	dia=0.75*INCH;
	l=6.353*INCH;
}

MatsuuraTool::~MatsuuraTool()
{

}

void MatsuuraTool::CreateShape()
{
	TopoDS_Solid Corps, Bout;

	gp_Ax2 CylAx2(gp_Pnt(0,0,dia/2), gp_Dir(0,0,1));
	Corps=BRepPrimAPI_MakeCylinder(CylAx2, dia/2, l-dia/2);
	Bout=BRepPrimAPI_MakeSphere(gp_Pnt(0,0,dia/2), dia/2);

	BRepAlgoAPI_Fuse CompoundSolid(Bout,Corps);
	SetShape(CompoundSolid.Shape());
}