// AISNbrIsosDialog.cpp : implementation file
//

#include "StdAfx.h"
#include "AISDialogs.h"
#include "mainfrm.h"
#include "leftview.h"

////////////////////////////////////////////////////////////////////////////
// CDialogTransparency dialog

CDialogTransparency::CDialogTransparency(Handle_AIS_InteractiveContext CurrentIC,
										 CWnd* pParent /*=NULL*/)
	: CDialog(CDialogTransparency::IDD, pParent)
{
	//{{AFX_DATA_INIT(CDialogTransparency)
	m_TransValue = 0;
	//}}AFX_DATA_INIT

	myCurrentIC = CurrentIC;

	for (myCurrentIC->InitCurrent(); 
	     myCurrentIC->MoreCurrent ();
		 myCurrentIC->NextSelected ())
	{	
	    myCurrentIC->SetTransparency (myCurrentIC->Current(), m_TransValue);
    }	

}

void CDialogTransparency::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDialogTransparency)
	DDX_Text(pDX, IDC_EDITAISTRANSP, m_TransValue);
//	DDV_MinMaxFloat(pDX, m_TransValue, 0.f, 1.f);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDialogTransparency, CDialog)
	//{{AFX_MSG_MAP(CDialogTransparency)
	ON_NOTIFY(UDN_DELTAPOS, IDC_SPINAISTRANSP, OnDeltaposSpinaistransp)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CDialogTransparency message handlers

void CDialogTransparency::OnDeltaposSpinaistransp(NMHDR* pNMHDR, LRESULT* pResult) 
{
	NM_UPDOWN* pNMUpDown = (NM_UPDOWN*)pNMHDR;
	// TODO: Add your control notification handler code here
	if ((pNMUpDown->iDelta < 0) && (m_TransValue < 10)) 
		m_TransValue = m_TransValue + 1;
	if ((pNMUpDown->iDelta > 0) && (m_TransValue > 0)) 
		m_TransValue = m_TransValue - 1;

    UpdateData (Standard_False);

	for (myCurrentIC->InitCurrent(); 
	     myCurrentIC->MoreCurrent ();
		 myCurrentIC->NextSelected ())
	{	
	    myCurrentIC->SetTransparency (myCurrentIC->Current(), m_TransValue/10.0);
    }	

	*pResult = 0;

}
